package com.eneraptor.hci

class DeviceInfo {

	String deviceId
	String friendlyName
	String description
	String iconPath
	boolean inputDevice
	boolean outputDevice
	
	 
	
    static constraints = {
		deviceId(blank: false, unique: true)
		friendlyName(blank: false, maxSize: 64)
		description(nullable: true, maxSize: 128)
		iconPath(nullable: true)
		inputDevice(blank: false)
		outputDevice(blank: false)
    }
}
